package cn.com.qmth.examcloud.core.oe.student.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.core.oe.common.enums.FaceBiopsyAction;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import java.util.Date;

/**
 * @Description 人脸活体检测步骤
 * @Author lideyin
 * @Date 2019/10/14 11:21
 * @Version 1.0
 */
public class FaceBiopsyStepInfo implements JsonSerializable {
	private static final long serialVersionUID = -2108253508943543996L;

	@ApiModelProperty(value = "步骤id",required = true)
	private Long stepId;

	@ApiModelProperty(value = "具体动作",required = true)
	@Enumerated(EnumType.STRING)
	private FaceBiopsyAction action;

	@ApiModelProperty(value = "动作时长",required = false)
	private Integer stay;

	public Long getStepId() {
		return stepId;
	}

	public void setStepId(Long stepId) {
		this.stepId = stepId;
	}

	public FaceBiopsyAction getAction() {
		return action;
	}

	public void setAction(FaceBiopsyAction action) {
		this.action = action;
	}

	public Integer getStay() {
		return stay;
	}

	public void setStay(Integer stay) {
		this.stay = stay;
	}
}
